<?php


namespace App\Logging;

use Monolog\Formatter\NormalizerFormatter;

class LogFormatter extends NormalizerFormatter
{
    public function __construct()
    {
        parent::__construct();
    }

    public function format(array $record)
    {
        $record = parent::format($record);
        return $this->convertToSQLite($record);
    }

    protected function convertToSQLite(array $record)
    {
        $el = $record['extra'];
        $el['level'] = strtolower($record['level_name']);
        $el['message'] = $record['message'];
        $generation = substr($record['message'], 0, strpos($record['message'], ' | Fitness'));
        $el['generation'] = (int)$generation;

        return $el;
    }
}
