<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Wowa extends Model
{
    const STATE_CREATED = "CREATED";
    const STATE_QUEUED = "QUEUED";
    const STATE_RUNNING = "RUNNING";
    const STATE_SUCCESS = "SUCCESS";
    const STATE_FAILED = "FAILED";

    public static $status_classes = [
        self::STATE_SUCCESS => "btn-success",
        self::STATE_FAILED => "btn-danger",
        self::STATE_RUNNING => "btn-warning"
    ];


    protected $casts = [
        'w_weights' => 'array',
        'p_weights' => 'array',
    ];
    private function getStatusBadgeClass()
    {
        $status = $this->status;
        if (!isset(self::$status_classes[$status])) {
            return "btn-primary";
        }

        return self::$status_classes[$status];
    }

    public function statusBadge()
    {
        if ($this->status == self::STATE_RUNNING || $this->status == self::STATE_QUEUED) {
            return "<span class='btn btn-badge btn-sm "
                . $this->getStatusBadgeClass() . "'>" . $this->status
                . " : " . Log::getJobProgression($this) . "</span>";
        } else {
            return "<span class='btn btn-badge btn-sm "
                . $this->getStatusBadgeClass() . "'>" . $this->status . "</span>";
        }
    }


    public function roc()
    {
        if ($this->roc == null) {
            return "ADD Button";
        } else {
            return $this->roc;
        }
    }

    public function pr()
    {
        if ($this->pr == null) {
            return "ADD Compute Button";
        } else {
            return $this->pr;
        }
    }
    public function weightsP()
    {
        return $this->w_weights->toArray();
    }
}
