@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <h1>{{ $label }}</h1>

    <p>
        Algorithm: {{ $detector->class_name }}
        <a class="btn btn-sm btn-primary" target="_blanck" href="{{ $detector->javadoc() }}">
            <i class="fas fa-info-circle"></i> Help
        </a>
    </p>
    <p>Activation label: <code>{{ $detector->trigger_label }}</code></p>
    <p>Min activation interval: {{ $detector->trigger_interval }} seconds</p>
    <p>Parameters:</p>
    <ul>
        @foreach ($detector->parameters as $key => $value)
        <li>{{ $key }} : {{ $value }}</li>
        @endforeach
    </ul>

    <h2>Ranking</h2>

    <p>Generated at <b>{{ $now->toISOString() }}</b></p>

    <p>
        <a href='{{ action('MarkController@rankingCSV', ["label" => $label]) }}'
           class='btn btn-primary'>
            <i class="fas fa-download"></i> Download as .csv
        </a>
    </p>

    <table class="table">
        <tr>
            <th>Subject</th>
            <th>Score</th>
            <th>Time</th>
            <th></th>
        </tr>

        @foreach ($evidences as $evidence)
        <tr>
            <td>
                {{ $evidence->subject() }}
            </td>
            <td>{{ $evidence->score }}</td>
            <td>{{ $evidence->timeForHumans() }}</td>
            <td class="text-right d-print-none">
                <a href="/app/evidence/{{ $evidence->id }}"
                   class="btn btn-primary btn-sm">
                    <i class="fas fa-search"></i> Inspect
                </a>
            </td>
        </tr>
        @endforeach
    </table>

</div>
@endsection