@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{!! $feedback->badge() !!}</div>

                <div class="card-body">
                    <p>Detector: <b>{{ $feedback->report()->profile["label"] }}</b></p>
                    <p>Subject: <b>{{ $feedback->report()->subject() }}</b></p>
                    <p>
                        Report: {{ $feedback->report_id }}
                        <a href="{{ action('MarkController@evidence', ['id' => $feedback->report_id]) }}"
                           class="btn btn-primary btn-sm">
                            <i class="fas fa-search"></i> Inspect
                        </a>
                    </p>
                    <p>
                        Reported by <b>{{ $feedback->user->name }}</b> on <b>{{ $feedback->timeForHumans() }}</b>
                    </p>

                    <div>
                        <form method="POST"
                              action="{{ action('FeedbackController@destroy', ['feedback' => $feedback]) }}"
                              style="display: inline-block">
                            {{ csrf_field() }}
                            {{ method_field("DELETE") }}
                            <button class="btn btn-danger">
                                <i class="fas fa-times-circle"></i> Delete
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
